# Class MultiTileBclFileUtil

java.lang.Object
picard.illumina.parser.ParameterizedFileUtil
picard.illumina.parser.MultiTileBclFileUtil

public class MultiTileBclFileUtil extends ParameterizedFileUtil
NextSeq-style bcl's have all tiles for a cycle in a single file.

## Field Summary

### Fields inherited from class ParameterizedFileUtil

`base, DefaultSkipEmptyFiles, extension, faker, lane, matchPattern, PER_TILE_PATTERN_STRING, skipEmptyFiles, tiles`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`fakeFiles(List<Integer> expectedTiles, int[] expectedCycles, IlluminaFileUtil.SupportedIlluminaFormat format)`
Given the expected tiles/expected cycles for this file type create a set of fake files such that the verification criteria are met.
`boolean`
`filesAvailable()`
Determine whether or not files are available
`picard.illumina.parser.CycleIlluminaFileMap`
`getFiles(List<Integer> tiles, int[] cycles)`
`List<Integer>`
`getTiles()`
Return a list of all tiles available for this file format and run
`List<String>`
`verify(List<Integer> expectedTiles, int[] expectedCycles)`
Given the expected tiles/expected cycles for this file type, return a list of error messages describing any missing/or malformed files

### Methods inherited from class ParameterizedFileUtil

`checkTileCount, escapePeriods, fileToTile, getRunFile, getTiledFiles, makeBarcodeRegex, makeLaneTileRegex, setTiles, setTilesForPerRunFile`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getFiles

public picard.illumina.parser.CycleIlluminaFileMap getFiles(List<Integer> tiles, int[] cycles)

### filesAvailable

public boolean filesAvailable()
Description copied from class: `ParameterizedFileUtil`
Determine whether or not files are available

Specified by:
  `filesAvailable` in class `ParameterizedFileUtil`
Returns:
  return true if files are found matching this types pattern, false otherwise

### getTiles

public List<Integer> getTiles()
Description copied from class: `ParameterizedFileUtil`
Return a list of all tiles available for this file format and run

Overrides:
  `getTiles` in class `ParameterizedFileUtil`
Returns:
  A List of tile integers

### verify

public List<String> verify(List<Integer> expectedTiles, int[] expectedCycles)
Description copied from class: `ParameterizedFileUtil`
Given the expected tiles/expected cycles for this file type, return a list of error messages describing any missing/or malformed files

Specified by:
  `verify` in class `ParameterizedFileUtil`
Parameters:
  `expectedTiles` - An ordered list of tile numbers
  `expectedCycles` - An ordered list of cycle numbers that may contain gaps
Returns:
  A list of error messages for this format

### fakeFiles

public List<String> fakeFiles(List<Integer> expectedTiles, int[] expectedCycles, IlluminaFileUtil.SupportedIlluminaFormat format)
Description copied from class: `ParameterizedFileUtil`
Given the expected tiles/expected cycles for this file type create a set of fake files such that the verification criteria are met.

Specified by:
  `fakeFiles` in class `ParameterizedFileUtil`
Parameters:
  `expectedTiles` - An ordered list of tile numbers
  `expectedCycles` - An ordered list of cycle numbers that may contain gaps
  `format` - The format of the files that are to be faked
Returns:
  A list of error messages for this format